Add various packages and patches for build system improvements

- Introduced valgrind with a patch to respect flags and updated its configuration.
- Added Vulkan ICD loader with CMake build configuration.
- Implemented Waf build system with a custom build script and configuration.
- Included Wayland protocols with Meson build system.
- Added xcb-util-keysyms with autotools configuration.
- Introduced Yasm with multiple patches for compatibility and improvements.
- Added Yelp tools and XSL with Meson build configurations and necessary patches for POSIX compliance.
This commit is contained in:
2026-03-22 23:25:50 -05:00
parent a0e45c65d3
commit bf96e50e44
144 changed files with 7131 additions and 45 deletions
+5
View File
@@ -0,0 +1,5 @@
if [ -d usr/share/mime ]; then
rm -f usr/share/mime/{globs,globs2,icons,treemagic,generic-icons,types,magic,XMLnamespaces,subclasses,aliases,mime.cache}
rm -rf usr/share/mime/{application,audio,image,inode,message,model,multipart,text,video,x-content,x-epoc}
rmdir --ignore-fail-on-non-empty usr/share/mime
fi
@@ -0,0 +1,71 @@
diff --git a/po/check_translations.sh b/po/check_translations.sh
index 76562cb..146b810 100755
--- a/po/check_translations.sh
+++ b/po/check_translations.sh
@@ -1,4 +1,4 @@
-#!/usr/bin/env bash
+#!/bin/sh
# Go to po directory
cd "$(dirname "${0}")" || exit 1
diff --git a/tests/test_duplicate_mime_types.sh b/tests/test_duplicate_mime_types.sh
index e7dfb15..1b1245b 100755
--- a/tests/test_duplicate_mime_types.sh
+++ b/tests/test_duplicate_mime_types.sh
@@ -1,20 +1,20 @@
-#!/usr/bin/env bash
-set -euo pipefail
+#!/bin/sh
+set -eu
: ${1:?filename argument missing}
xml_db_file="${1}"
-test -f ${xml_db_file} || {
- printf "%s: no such file\n" ${xml_db_file} >&2
+test -f "${xml_db_file}" || {
+ printf '%s: no such file\n' "${xml_db_file}" >&2
exit 1
}
duplicated=$(
xmllint --xpath \
"//*[local-name()='mime-type' or local-name()='alias']/@type" \
- ${xml_db_file} | tr ' ' '\n' | sort | uniq -d
+ "${xml_db_file}" | tr ' ' '\n' | sort | uniq -d
)
-if [[ -n "${duplicated}" ]]; then
+if [ -n "${duplicated}" ]; then
echo "*************************************************************"
echo "** Some mime-types are duplicated, fix before committing: **"
echo "${duplicated}"
diff --git a/tests/test_generic_icons.sh b/tests/test_generic_icons.sh
index de6c56f..41877f6 100755
--- a/tests/test_generic_icons.sh
+++ b/tests/test_generic_icons.sh
@@ -1,4 +1,4 @@
-#!/usr/bin/env bash
+#!/bin/sh
xml_db_file="${1}"
diff --git a/tests/test_mime.sh b/tests/test_mime.sh
index 49c531b..b3e9fef 100755
--- a/tests/test_mime.sh
+++ b/tests/test_mime.sh
@@ -1,4 +1,4 @@
-#!/usr/bin/env bash
+#!/bin/sh
set -e
source_root="${1}"
diff --git a/tests/test_staging.sh b/tests/test_staging.sh
index a993dce..b62878c 100755
--- a/tests/test_staging.sh
+++ b/tests/test_staging.sh
@@ -1,4 +1,4 @@
-#!/usr/bin/env bash
+#!/bin/sh
set -e
source_root="${1}"
@@ -0,0 +1,38 @@
[build]
type = "meson"
[build.flags]
build_dir = "build"
configure = ["-Dupdate-mimedb=false"]
post_install = [ "install -Dm644 $DEPOT_SPECDIR/update-mime-database.toml $DESTDIR/usr/share/depot.d/hooks/30-update-mime-database.toml" ]
[dependencies]
build = [
"meson",
"gettext",
"xmlto",
"docbook-xsl",
]
runtime = [
"libxml215",
"glibc",
"libcxx",
"libunwind",
"glib2"
]
[package]
description = "Freedesktop.org Shared MIME Info"
homepage = "https://www.freedesktop.org/wiki/Specifications/shared-mime-info-spec/"
license = "GPL-2.0-or-later"
name = "shared-mime-info"
version = "2.4"
[[source]]
extract_dir = "$name-$version"
url = "https://gitlab.freedesktop.org/xdg/shared-mime-info.git#9a6d6b8e963935f145f3a1ef446552de6996dada"
patches = [ "shared-mime-info-2.4-posixify.patch" ]
[[manual_sources]]
files = [ "update-mime-database.toml", "postremove.sh", "shared-mime-info-2.4-posixify.patch" ]
@@ -0,0 +1,11 @@
[hook]
name = "update-mime-database"
description = "Update the MIME type database"
[when]
phase = "post"
operation = ["install", "update", "remove"]
paths = ["usr/share/mime/packages/*.xml"]
[exec]
command = "PKGSYSTEM_ENABLE_FSYNC=0 update-mime-database usr/share/mime"